package com.example.kdan_data_center.datacenter.share.body

import com.google.gson.annotations.SerializedName


data class CreateShareLinkBody(
        @SerializedName("object_id") val objectId: Int

) {
    @SerializedName("object_type")
    var objectType: String? = null
    @SerializedName("verify_type")
    var verifyType: String? = null
    @SerializedName("verify_info")
    var verifyInfo: VerifyInfo? = null

    data class VerifyInfo(
            @SerializedName("password") val password: Int?,
            @SerializedName("expires_at") val expiresAt: String?
    )
}