package com.example.kdan_data_center.datacenter.folder.data

import com.google.gson.annotations.SerializedName


data class UpdateFolderData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: Data
) {

    data class Data(
            @SerializedName("user_id") val userId: Int,
            @SerializedName("folder_name") val folderName: String,
            @SerializedName("id") val id: Int,
            @SerializedName("is_deleted") val isDeleted: Boolean,
            @SerializedName("user_updated_at") val userUpdatedAt: String,
            @SerializedName("created_at") val createdAt: String,
            @SerializedName("updated_at") val updatedAt: String,
            @SerializedName("full_path") val fullPath: String,
            @SerializedName("active_status") val activeStatus: String,
            @SerializedName("other_infos") val otherInfos: HashMap<String, String?>,
            @SerializedName("folder_type") val folderType: String,
            @SerializedName("parent_id") val parentId: Int,
            @SerializedName("size") val size: Int
    )
}